Author Topic: Upgrade vs 1.7, How-to?  (Read 2068 times)

HB9ODP

  • Newbie
  • *
  • Posts: 25
    • View Profile
    • My RemoteRig
Upgrade vs 1.7, How-to?
« on: 2014-02-07, 17:01:38 »
Hello, I'm interested to upgrade the firmware to vs 4.0 of my old WEB Switch 1216H, but with the browser I have always this error (with IE / Firefox / Chrome):
Wrong file type, got 37, expected 36
Double checked and the firmware is for this unit. Redownloaded the file...
"1216H_WebSwitch-CRC-NEW_Ham_v4.0_2013-10-18.bin"

Checked also with vs 2.9, same...

So installed the setup manager 2.5 and used the USB cable; same as above... Invalid file content.

Serial nr of this unit: 1418

System info:
Company : Microbit
Product : 1216H Web Switch
Software: 1.7
Hardware: 1
Build   : Apr 22 2010 16:20:03
S/N     : 1418
PID     : 4

Thanks for any help :-)

Regards
HB9ODP

RRC V1, TS-480, KAM, MFJ Automatic Tuner, G5RV

Jan (Microbit)

  • Software Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1799
    • View Profile
    • Email
Re: Upgrade vs 1.7, How-to?
« Reply #1 on: 2014-02-07, 17:19:40 »
You have a very old firmware version and therefore this applies in your case:

Quote
Also note!: If you have firmware/software version 1.8 or older installed, you must install this file first.

taken from this page:

http://www.webswitch.se/wp/?page_id=162

In order words, you have to upgrade in two steps by first upgrading using this file:

http://www.webswitch.se/firmwares/1216H_WebSwitch-CRC-OLD_v1.12_2010-11-15.bin (Note that it isn't a zip file = use it directly)

After that it should work to use the 4.0-version file. Though upgrading from the "intermediate" file  above having version 1.12 to 4.0 is a very big "jump" so it might be that you need to set up the parameters again, so be sure to take screen dumps etc in order to be prepared should something go wrong.



Always include type of hard/software and version when asking for support.

HB9ODP

  • Newbie
  • *
  • Posts: 25
    • View Profile
    • My RemoteRig
Re: Upgrade vs 1.7, How-to?
« Reply #2 on: 2014-02-08, 19:25:44 »
tnx Jan, worked fine.
RRC V1, TS-480, KAM, MFJ Automatic Tuner, G5RV